TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsMinusOne ( elt-res^num x ) -> elt-alg^boo

### Description

<shortdoc> Determine whether `x' is the additive inverse element of the multiplicative neutral element and return `TRUE' in this case, `FALSE' otherwise. </shortdoc>

### Examples

x_o := EquationOrder(X^2+5);; x_b := Ideal(x_o,Matrix(Z,2,2,[1,1,0,2]))^5;; x_q := Quotient(x_o,x_b); x_one := One(x_q); IsMinusOne(-x_one);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack